rem 
rem $Header: dmuren.sql,v 4011300.3 90/08/21 09:28:17 atam Exp $ dmuren.sql Copyr (c) 1987 Oracle
rem 
rem SQLMENU640113,DD$:[FREEZE_SQLMENU.SQL.40113]
Rem Copyright (c) 1988 by Oracle Corporation
Rem NAME
Rem    <name>
Rem  FUNCTION
Rem  NOTES
Rem  MODIFIED
Rem   Vijayar    05/12/88 - COMPLETE_SNAPSHOT_FOR_FREEZE
Rem
Set echo off

Rem
Rem  Function : dmuren.sql
Rem
Rem  Purpose  : Rename an entire application.
Rem
Rem  Usage:   : SQL> start dmuren <old application name> <new application name>
Rem
Rem  Modified:
Rem
Rem  Kornet 02/12/87 - Renaming an application means that you also have to
Rem                    rename the main menu (menu with the same name)
Rem

Set verify off
Set feedback off

Prompt Renaming application &&1 to &&2

Prompt - Table menu_application
Update  menu_application
Set     application_name = upper('&2')
Where   application_name = upper('&1');

Prompt - Table menu_info
Update  menu_info          
Set     application_name = upper('&2'),
        menu_name = decode(menu_name, upper('&1'), upper('&2'), menu_name)
Where   application_name = upper('&1');

Prompt - Table menu_option
Update  menu_option        
Set     application_name = upper('&2'),
        menu_name = decode(menu_name, upper('&1'), upper('&2'), menu_name)
Where   application_name = upper('&1');

Prompt - Table menu_help
Update  menu_help        
Set     application_name = upper('&2'),
        menu_name = decode(menu_name, upper('&1'), upper('&2'), menu_name)
Where   application_name = upper('&1');

Prompt - Table menu_param
Update  menu_param
Set     application_name = upper('&2')
Where   application_name = upper('&1');

Prompt - Table menu_param_xref
Update  menu_param_xref
Set     application_name = upper('&2'),
        menu_name = decode(menu_name, upper('&1'), upper('&2'), menu_name)
Where   application_name = upper('&1');

Prompt - Table menu_user
Update  menu_user
Set     application_name = upper('&2')
Where   application_name = upper('&1');

Prompt - Table menu_work_class
Update  menu_work_class
Set     application_name = upper('&2')
Where   application_name = upper('&1');

Set termout off
Commit;

Exit warning
