system/manager
rem
rem $Header: upgmenu.sql,v 6.2 89/12/13 10:49:26 atam Exp $ upgmenu.sql Copyr (c) 1989 Oracle
rem
rem
rem Following procedure upgrades SQL*Menu 4.0 to SQL*Menu 4.1
rem
prompt - Upgrading SQL*Menu tables.
    Set echo off
    Set termout off
    Spool upgmenu.lis;
    Drop table OK ;
    Drop table DMU_OUTSEQ ;
    Drop table DMU_FUNKEYS ;
    Drop table TERMINAL_INFO ;

    Drop public synonym user_info;
    Drop public synonym work_class;
    Drop public synonym menu_info;
    Drop public synonym menu_option;
    Drop public synonym option_help;
    Drop public synonym parameter_info;
    Drop public synonym parameter_menu;
    Drop public synonym dmu_application;
    Drop public synonym dmu_message;
    Drop public synonym dmu_command_type;

    Rename  user_info        to menu_user;
    Rename  work_class       to menu_work_class;
    Rename  menu_info        to menu_info;
    Rename  menu_option      to menu_option;
    Rename  option_help      to menu_help;
    Rename  parameter_info   to menu_param;
    Rename  parameter_menu   to menu_param_xref;
    Rename  dmu_application  to menu_application;
    Rename  dmu_message      to menu_message;
    Rename  dmu_command_type to menu_command_type;

    Alter table menu_option 
          modify ( command_line char(240) ) ;

    Create public synonym  menu_user         for menu_user;
    Create public synonym  menu_work_class   for menu_work_class;
    Create public synonym  menu_info         for menu_info;
    Create public synonym  menu_option       for menu_option;
    Create public synonym  menu_help         for menu_help;
    Create public synonym  menu_param        for menu_param;
    Create public synonym  menu_param_xref   for menu_param_xref;
    Create public synonym  menu_application  for menu_application;
    Create public synonym  menu_message      for menu_message;
    Create public synonym  menu_command_type for menu_command_type;
    spool off
rem
rem Insert DMU application definition.
rem
prompt - Inserting SQL*Menu application.
@?/menu/install/v4dmuapl
rem
rem Create system library and load all the languages
rem
prompt - Creating SQL*Menu system library.
host dmm system/manager gb -ldf -c128 -s
    Set echo off
    Set termout off
    Set heading off
    Spool ?/menu/install/syslib.com
    Select distinct 'dmm system/manager '||language||' -l -s'
    From   menu_message
    Where  language != 'GB' ;
    Spool off
    set termout on
    set heading on
host chmod +x $ORACLE_HOME/menu/install/syslib.com
host $ORACLE_HOME/menu/install/syslib.com
rem
rem Create DMU application library
rem
prompt - Creating DMU application library.
host dmm system/manager DMU % -m -c40 -s
exit
