rem 
rem $Header: v4dmuapl.sql,v 4011400.9 90/06/05 10:49:08 atam Exp $ v4dmuapl.sql Copyr (c) 1987 Oracle
rem 
rem SQLMENU640114,DD$:[FREEZE_SQLMENU.SQL.40114]

Rem Copyright (c) 1988 by Oracle Corporation
Rem NAME
Rem    <name>
Rem  FUNCTION
Rem  NOTES
Rem  MODIFIED
Rem   Kornet     01/12/89 - update creation of system lib
Rem   Kornet     10/27/88 - Update some message text
Rem   Kornet     10/17/88 - remove trailing blank from some messages
Rem   Kornet     10/04/88 - add message 477, remove function messages
Rem   Giljum     10/03/88 - change on-line help for work-class info
Rem   Kornet     09/23/88 - Change iap symbol to iap23
Rem   Slange     08/29/88 - Add some messages.
Rem   Kornet     08/23/88 - Add messages and remove compress option
Rem   Kornet     05/06/88 - Change help text for DMUDBA option 1
Rem	10/02/87 F.R.Kornet Changed "generate all menus for lib" command 
Rem     10/01/87 F.R.Kornet Added message 174 (menu nested too deep).
Rem	10/01/87 F.R.Kornet Change DMU to SQL*Menu
Rem     02/12/87 F.R.Kornet Added message for option parameter form (175)
Rem     02/16/87 F.R.Kornet Corrected typing errors (see bug # 6444)
Rem     02/23/87 F.R.Kornet Change IAP to SQL*Forms
Rem     02/24/87 F.R.Kornet Added function message "ABORT"
Rem     03/01/87 F.R.Kornet Do not automatically create a system library
Rem     03/04/87 F.R.Kornet Modified message 119 so we print the menu name(%s)
Rem     03/05/87 F.R.Kornet Also specify tty on command line for IAP
Rem     07/01/87 F.R.Kornet Remove comment "xxxxxx"
Rem     07/12/87 F.R.Kornet Rename SQL*Menu tables
Rem     07/22/87 F.R.Kornet Upgrade DMU application
Rem     08/24/86 F.R.Kornet Added message 830 (could not create library).
Rem
Rem

Rem SET SCAN OFF
SET TERMOUT OFF
SET ECHO ON
SET WORKSIZE 12

SPOOL ?/menu/admin/v4dmuapl.log

Rem
Rem Export of application DMU (generated on Wed Jul 22 14:23:11 1987)
Rem


Rem
Rem export of table MENU_APPLICATION ( Application DMU)
Rem

Delete MENU_APPLICATION
Where  application_name = 'DMU' ;

Insert into MENU_APPLICATION
(
APPLICATION_NAME, 
CREATION_DATE, 
CREATOR, 
VERSION_RELEASE_NR, 
LAST_RELEASE_DATE, 
MENU_DIRECTORY, 
IDENTIFICATION
) 
 values ( 
'DMU', 
'22-JAN-86', 
'SYSTEM', 
'                                    4.01', 
'', 
'', 
'SQL*Menu Development of Dynamic Menus' ) ; 

Commit ;

Rem
Rem export of table MENU_INFO ( Application DMU)
Rem

Delete MENU_INFO
Where  application_name = 'DMU' ;

Insert into MENU_INFO
(
MENU_NAME, 
APPLICATION_NAME, 
TITLE, 
SUB_TITLE, 
BOTTOM_TITLE, 
DESCRIP_1, 
DESCRIP_2, 
DESCRIP_3, 
DESCRIP_4
) 
 values ( 
'BGM', 
'DMU', 
'SQL*Menu Dynamic Menu Utility', 
'Background menu', 
'General options for Development of SQL*Menu', 
'This menu provides a number of separate options, which can', 
'be useful during development of SQL*Menu applications', 
'', 
'' ) ; 
Insert into MENU_INFO
(
MENU_NAME, 
APPLICATION_NAME, 
TITLE, 
SUB_TITLE, 
BOTTOM_TITLE, 
DESCRIP_1, 
DESCRIP_2, 
DESCRIP_3, 
DESCRIP_4
) 
 values ( 
'DMU', 
'DMU', 
'SQL*Menu Dynamic Menu Utility', 
'SQL*Menu Main menu', 
'', 
'This menu is the main menu for development of dmu', 
'applications', 
'', 
'' ) ; 
Insert into MENU_INFO
(
MENU_NAME, 
APPLICATION_NAME, 
TITLE, 
SUB_TITLE, 
BOTTOM_TITLE, 
DESCRIP_1, 
DESCRIP_2, 
DESCRIP_3, 
DESCRIP_4
) 
 values ( 
'DMUDBA', 
'DMU', 
'SQL*Menu Dynamic Menu Utility', 
'Database Administrator Menu', 
'Options on this menu are for tailoring general appearance of SQL*Menu', 
'This menu allows the dba to modify the apperance and struc-', 
'ture of the dymamic menu utility', 
'', 
'' ) ; 
Insert into MENU_INFO
(
MENU_NAME, 
APPLICATION_NAME, 
TITLE, 
SUB_TITLE, 
BOTTOM_TITLE, 
DESCRIP_1, 
DESCRIP_2, 
DESCRIP_3, 
DESCRIP_4
) 
 values ( 
'DMUDOC', 
'DMU', 
'SQL*Menu Dynamic Menu Utility', 
'Menu Documentation', 
'', 
'This menu makes it possible for the user to make documen-', 
'tation from the information stored in the database about', 
'a SQL*Menu application', 
'' ) ; 
Insert into MENU_INFO
(
MENU_NAME, 
APPLICATION_NAME, 
TITLE, 
SUB_TITLE, 
BOTTOM_TITLE, 
DESCRIP_1, 
DESCRIP_2, 
DESCRIP_3, 
DESCRIP_4
) 
 values ( 
'DMULIB', 
'DMU', 
'SQL*Menu Dynamic Menu Utility', 
'Manage Libraries and Applications', 
'', 
'this menu allows the user to manipulate the data stored in', 
'the database. Such as renaming an application, renaming a', 
'menu, etc.. Furthermore you can create an application', 
'library.' ) ; 
Insert into MENU_INFO
(
MENU_NAME, 
APPLICATION_NAME, 
TITLE, 
SUB_TITLE, 
BOTTOM_TITLE, 
DESCRIP_1, 
DESCRIP_2, 
DESCRIP_3, 
DESCRIP_4
) 
 values ( 
'DMUMNU', 
'DMU', 
'SQL*Menu Dynamic Menu Utility', 
'Menu Information Maintenance', 
'NOTE: The meaning of function keys can change when running SQL*Forms', 
'this menu allows the user to maintain the data stored in', 
'the database about any application.', 
'', 
'' ) ; 

Commit ;

Rem
Rem export of table MENU_OPTION ( Application DMU)
Rem

Delete MENU_OPTION
Where  application_name = 'DMU' ;

Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'BGM', 
'DMU', 
'                                       1', 
'Show user processes', 
'                                       3', 
'ps', 
'                                       0', 
'                                       0' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'BGM', 
'DMU', 
'                                       2', 
'Show system print queue', 
'                                       3', 
'$ORACLE_LPSTAT', 
'                                       0', 
'                                       0' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'BGM', 
'DMU', 
'                                       3', 
'Run sqlplus', 
'                                       5', 
'sqlplus &UN/&PW', 
'                                       0', 
'                                       0' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMU', 
'DMU', 
'                                       1', 
'Create and Maintain SQL*Menu Applications', 
'                                       1', 
'DMUMNU', 
'                                      10', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMU', 
'DMU', 
'                                       2', 
'Generation of SQL*Menu Documentation', 
'                                       1', 
'DMUDOC', 
'                                      10', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMU', 
'DMU', 
'                                       3', 
'SQL*Menu System Maintenance', 
'                                       1', 
'DMUDBA', 
'                                      15', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMU', 
'DMU', 
'                                       4', 
'Previous Menu', 
'                                       6', 
'PRVMENU;', 
'                                      15', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       1', 
'Creation of a New SQL*Menu System Library', 
'                                       3', 
'dmm &UN/&PW &LA -l&DF -c128 -s',
'                                      12', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       3', 
'Maintenance of Message Database', 
'                                       4', 
'iap ?/menu/admin/dmumsg &UN/&PW -c &TT', 
'                                      12', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       5', 
'Creation of a New Language Definition', 
'                                       2', 
'dmm &UN/&PW &LA -l&DF -s', 
'                                      12', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       6', 
'Granting of a New User of SQL*Menu', 
'                                       2', 
'dmm &UN/&PW -g&GT &PR -s', 
'                                      12', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       9', 
'Creating a Skeleton for a New Language', 
'                                       2', 
'dmm &UN/&PW &LA -n -s', 
'                                      12', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                      10', 
'Previous Menu', 
'                                       6', 
'PRVMENU;', 
'                                      12', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       1', 
'Generate SQL*Menu Application Information', 
'                                       2', 
'dmd &UN/&PW &AN -l&LN -f -s', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       2', 
'Show SQL*Menu Application Documentation on the Screen', 
'                                       3', 
'$ORACLE_PAGER  &ANapl.doc', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       3', 
'Print SQL*Menu Application Documentation', 
'                                       2', 
'$ORACLE_LPPROG  &ANapl.doc', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       4', 
'Generate SQL*Menu Summary Information', 
'                                       2', 
'dmd &UN/&PW &AN -l&LN -b -s', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       5', 
'Show SQL*Menu Summary Documentation on the Screen', 
'                                       3', 
'$ORACLE_PAGER  &ANsum.doc', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       6', 
'Print SQL*Menu Summary Documentation', 
'                                       2', 
'$ORACLE_LPPROG  &ANsum.doc', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       7', 
'Previous Menu', 
'                                       6', 
'PRVMENU;', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       1', 
'Rename a Menu', 
'                                       5', 
'sqlplus -s &UN/&PW @?/menu/admin/renmnu &AN &OM &NM', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       2', 
'Rename an Application', 
'                                       5', 
'sqlplus -s &UN/&PW @?/menu/admin/dmuren &OA &NA', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       3', 
'Delete a Menu', 
'                                       5', 
'sqlplus -s &UN/&PW @?/menu/admin/delmnu &AN &DM', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       4', 
'Delete an Application', 
'                                       5', 
'sqlplus -s &UN/&PW @?/menu/admin/dmudel &AD', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       5', 
'Back-up an Application', 
'                                       3', 
'dmm &UN/&PW &AN -e -s', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       6', 
'Create a Library Listing of Application Library', 
'                                       2', 
'dmm &UN/&PW &AN -m -p -s', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       7', 
'Create a New Menu Library', 
'                                       2', 
'dmm &UN/&PW &AN -m -c&MD -s', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       9', 
'Previous Menu', 
'                                       6', 
'PRVMENU;', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       2', 
'Update Application Information', 
'                                       4', 
'iap ?/menu/admin/dmuapl &UN/&PW -c &TT', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'Update Work-class and User Information', 
'                                       4', 
'iap ?/menu/admin/dmuwcu &UN/&PW -c &TT', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       4', 
'Update Menu Information', 
'                                       4', 
'iap ?/menu/admin/dmumen &UN/&PW -c &TT', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       5', 
'Update Substitution Parameter Information', 
'                                       4', 
'iap ?/menu/admin/dmupar &UN/&PW -c &TT', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       6', 
'Generate One Menu', 
'                                       2', 
'dmm &UN/&PW &AN &MN -m -s', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       7', 
'Generate All Menus for One Application', 
'                                       2', 
'dmm &UN/&PW &AN % -m -c&MD -s', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       8', 
'Manage Libraries and Applications', 
'                                       1', 
'DMULIB', 
'                                       5', 
'                                      20' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       9', 
'Previous Menu', 
'                                       6', 
'PRVMENU;', 
'                                       5', 
'                                      20' ) ; 

Commit ;

Rem
Rem export of table MENU_HELP ( Application DMU)
Rem

Delete MENU_HELP
Where  application_name = 'DMU' ;

Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       1', 
'                                       2', 
'This option display a menu from which you can update' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       1', 
'                                       4', 
'information regarding applications, work-classes, users,' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       1', 
'                                       6', 
'menus, and substitution parameters; generate one or all' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       1', 
'                                       8', 
'menus for a single application; create a new menu library' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       1', 
'                                      10', 
'or an application library listing.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       2', 
'                                       2', 
'This option allows you to generate, display on screen, or' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       2', 
'                                       4', 
'print detailed or summary documentation for your menu' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       2', 
'                                       6', 
'applications.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       3', 
'                                       2', 
'This option displays a menu that is used by a SQL*Menu' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       3', 
'                                       4', 
'DBA to create a system library, maintain the message' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       3', 
'                                       6', 
'database, produce a new language definition, grant' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       3', 
'                                       8', 
'SQL*Menu access rights to new users, compress the' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       3', 
'                                      10', 
'system and application libraries, or create a skeleton for' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMU', 
'DMU', 
'                                       3', 
'                                      12', 
'a new language.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       1', 
'                                       2', 
'This option creates a new SQL*Menu system library. This file' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       1', 
'                                       4', 
'contains all the messages and prompts used by SQL*Menu. Normally' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       1', 
'                                       6', 
'you do not need to create this file, it is created when SQL*Menu' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       1', 
'                                       8', 
'is installed.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       3', 
'                                       2', 
'This option allows you to enter and modify messages' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       3', 
'                                       4', 
'used by SQL*Menu.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       5', 
'                                       2', 
'This option creates a library for a new language. The' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       5', 
'                                       4', 
'library contains SQL*Menu system messages and prompts,' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       5', 
'                                       6', 
'which can be translated into various languages. This' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       5', 
'                                       8', 
'library does not include menu or help text.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       6', 
'                                       2', 
'This option adds a new user to a SQL*Menu application.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       6', 
'                                       4', 
'Adding a new user is a two-step process. First use this' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       6', 
'                                       6', 
'option to enroll the user''s ORACLE username and' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       6', 
'                                       8', 
'password in SQL*Menu. Second give the user a work-' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       6', 
'                                      10', 
'class assignment in a menu application. SQL*Menu users' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       6', 
'                                      12', 
'must also be valid ORACLE users.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       9', 
'                                       2', 
'This option generates a structure for the new language' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDBA', 
'DMU', 
'                                       9', 
'                                       4', 
'and makes a copy of the English language messages.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       1', 
'                                       2', 
'This option generates a complete set of documentation' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       1', 
'                                       4', 
'for your SQL*Menu application. The documentation' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       1', 
'                                       6', 
'contains information about the following topics:' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       1', 
'                                       8', 
'- Application information.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       1', 
'                                      10', 
'- Menu information for each menu.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       1', 
'                                      12', 
'- Options within each menu.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       1', 
'                                      14', 
'- Defined work-classes.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       1', 
'                                      16', 
'- User within each work-class.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       1', 
'                                      18', 
'- Parameters and their associated menus.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       2', 
'                                       2', 
'This option displays the application documentation on' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       2', 
'                                       4', 
'your screen.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       3', 
'                                       2', 
'This option prints out the application documentation' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       3', 
'                                       4', 
'using your printer.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       4', 
'                                       2', 
'This option generates the summary documentation.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       4', 
'                                       4', 
'Summary documentation lists only menus and menu' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       4', 
'                                       6', 
'options and work-class definitions and users.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       5', 
'                                       2', 
'This option displays the summary documentation on your' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       5', 
'                                       4', 
'screen.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       6', 
'                                       2', 
'This option prints out the summary documentation using' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUDOC', 
'DMU', 
'                                       6', 
'                                       4', 
'your printer.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       1', 
'                                       2', 
'This option will allow you to rename a single menu within an' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       1', 
'                                       4', 
'application. You will be asked for the current application and' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       1', 
'                                       6', 
'menu names, and the new name for the menu. When you' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       1', 
'                                       8', 
'regenerate the application it will reflect the name change.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       2', 
'                                       2', 
'This option allows you to rename an application. It will prompt' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       2', 
'                                       4', 
'you for the current application name, and the new name. When you' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       2', 
'                                       6', 
'regenerate the application, it will have the new name, and the' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       2', 
'                                       8', 
'library file will now be called by the new name as well.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       3', 
'                                       2', 
'This option will delete a single menu from within an application.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       3', 
'                                       4', 
'It will prompt you for the application name, and the individual' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       3', 
'                                       6', 
'menu to delete. Any references to the menu within the application' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       3', 
'                                       8', 
'will not be changed, so it is up to you to change them if needed.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       3', 
'                                      10', 
'When you regenerate the application, the changes will be reflected.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       3', 
'                                      12', 
'Until that time, the changes will only be made in the database.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       4', 
'                                       2', 
'This option deletes an entire application from the database. It' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       4', 
'                                       4', 
'will prompt you for the name of the application to delete.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       5', 
'                                       2', 
'This option allows you to make a backup of an application in the' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       5', 
'                                       4', 
'database. It will create a SQL script which can be moved to' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       5', 
'                                       6', 
'another database or computer. By running this script, you can' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       5', 
'                                       8', 
'recreate the application. If an application by the same name' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       5', 
'                                      10', 
'already exists, the script will do nothing. The script will' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       5', 
'                                      12', 
'be called <application>INS.SQL and will be located in the' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       5', 
'                                      14', 
'current default directory.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       6', 
'                                       2', 
'This option creates a list showing the contents of a' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       6', 
'                                       4', 
'menu library for the application you specify.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       7', 
'                                       2', 
'This option creates a new menu library in the directory' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMULIB', 
'DMU', 
'                                       7', 
'                                       4', 
'defined by your application.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       1', 
'                                       2', 
'This option displays a menu where you can rename an existing' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       1', 
'                                       4', 
'menu or application, delete an existing menu or application' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       1', 
'                                       6', 
'from the database, create a new library file, or make a' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       1', 
'                                       8', 
'backup of an application to transport it to another machine' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       1', 
'                                      10', 
'or database.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       2', 
'                                       2', 
'This option uses a SQL*Forms application that enables' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       2', 
'                                       4', 
'you to specify information about an application. This' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       2', 
'                                       6', 
'information includes application name, creation date,' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       2', 
'                                       8', 
'creator name, version/release number, last release date,' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       2', 
'                                      10', 
'menu directory where the application is to be stored, and' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       2', 
'                                      12', 
'a short description of the application.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'                                       2', 
'This option uses a SQL*Forms application which enables' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'                                       4', 
'you to specify or modify work-class information' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'                                       6', 
'and enter or maintain usernames within established work-' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'                                       8', 
'classes. A work-class is a category of users that has a' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'                                      10', 
'predescribed access right. Users with low work-class' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'                                      12', 
'number are generally permitted to access ordinary menu' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'                                      14', 
'options. Users with a high number are generally' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'                                      16', 
'permitted to access options relating to confidential' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'                                      18', 
'information. Users may not belong to more than one ' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       3', 
'                                      20', 
'work-class for a given application.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       4', 
'                                       2', 
'This option uses a SQL*Forms application which enables' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       4', 
'                                       4', 
'you to specify or modify general information about a' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       4', 
'                                       6', 
'menu. This information includes menu name, title,' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       4', 
'                                       8', 
'subtitle, bottom title, and the purpose for which the' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       4', 
'                                      10', 
'menu serves.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       5', 
'                                       2', 
'This option uses a SQL*Forms application which enables' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       5', 
'                                       4', 
'you to specify or modify information about substitution' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       5', 
'                                       6', 
'parameters for each menu in an application. A' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       5', 
'                                       8', 
'substitution parameter is a two-character code preceded' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       5', 
'                                      10', 
'by an ampersand that can be used at the command line' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       5', 
'                                      12', 
'to represent something else, such as a username (&UN) or' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       5', 
'                                      14', 
'password (&PW).' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       6', 
'                                       2', 
'This option activates a procedure that generates a menu' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       6', 
'                                       4', 
'for a given application. The procedure requests the' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       6', 
'                                       6', 
'name of the menu to be generated. You may enter * to' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       6', 
'                                       8', 
'indicate that all menus of an application are to be' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       6', 
'                                      10', 
'generated. The generated menu is then placed into a' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       6', 
'                                      12', 
'library automatically. Before generating a menu,' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       6', 
'                                      14', 
'however, you must create a library (consult the' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       6', 
'                                      16', 
'SQL*Menu User''s Guide).' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       7', 
'                                       2', 
'This option activates a procedure that generates all' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       7', 
'                                       4', 
'menus for an application. The procedure requests the' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       7', 
'                                       6', 
'application name and the number of module entries. The' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       7', 
'                                       8', 
'specified number of module entries is used to create' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'DMUMNU', 
'DMU', 
'                                       7', 
'                                      10', 
'an application library of the correct size.' ) ; 

Commit ;

Rem
Rem export of table MENU_PARAM ( Application DMU)
Rem

Delete MENU_PARAM
Where  application_name = 'DMU' ;

Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'AD', 
'DMU', 
'                                       6', 
'', 
'Y', 
'N', 
'Y', 
'Y', 
'Enter the name of the application to be deleted.', 
'Application_name' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'AN', 
'DMU', 
'                                       6', 
'', 
'Y', 
'N', 
'Y', 
'Y', 
'Enter the name of the application to be processed.', 
'Application_name' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'DF', 
'DMU', 
'                                       2', 
'', 
'Y', 
'N', 
'N', 
'Y', 
'Enter DF only if the language will be the default language.', 
'Default switch' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'DM', 
'DMU', 
'                                       6', 
'', 
'Y', 
'N', 
'Y', 
'Y', 
'Menu name to be deleted', 
'Menu name' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'GT', 
'DMU', 
'                                      20', 
'', 
'Y', 
'N', 
'Y', 
'Y', 
'Enter the username of the person receiving SQL*Menu access rights.', 
'Grantee' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'LA', 
'DMU', 
'                                       2', 
'GB', 
'Y', 
'N', 
'Y', 
'Y', 
'Enter the abbreviation of the language to be processed.', 
'Language abbreviation' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'MD', 
'DMU', 
'                                       3', 
'128', 
'Y', 
'N', 
'N', 
'Y', 
'Enter the number of entries in the library; the default is 128.', 
'# of module entries' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'MN', 
'DMU', 
'                                       6', 
'', 
'Y', 
'N', 
'Y', 
'Y', 
'Menu name to be inserted into the library', 
'Menu name' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'NA', 
'DMU', 
'                                       6', 
'', 
'Y', 
'N', 
'Y', 
'Y', 
'Enter the new application name.', 
'New Application_name' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'NM', 
'DMU', 
'                                       6', 
'', 
'Y', 
'N', 
'Y', 
'Y', 
'Name of the menu to be renamed to', 
'New Menu Name' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'OA', 
'DMU', 
'                                       6', 
'', 
'Y', 
'N', 
'Y', 
'Y', 
'Enter the original application name.', 
'Old Application_name' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'OM', 
'DMU', 
'                                       6', 
'', 
'Y', 
'N', 
'Y', 
'Y', 
'Name of the menu to be renamed', 
'Old Menu Name' ) ; 
Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'PR', 
'DMU', 
'                                       2', 
'', 
'Y', 
'N', 
'N', 
'Y', 
'To grant designer priv enter -a; for DBA priv enter -w; to revoke enter -d.', 
'Grant option' ) ; 

Commit ;

Rem
Rem export of table MENU_PARAM_XREF ( Application DMU)
Rem
Delete MENU_PARAM_XREF Where application_name = 'DMU' ;

Commit ;

REM
REM  INSERT STATEMENTS GENERATED FOR TABLE DMU_MESSAGE
REM

DELETE MENU_MESSAGE WHERE LANGUAGE = 'GB';

REM
REM INSERT DMU MESSAGES
REM
INSERT INTO MENU_MESSAGE VALUES ( 101, 'GB', 38, 'Enter your Oracle identification' );
INSERT INTO MENU_MESSAGE VALUES ( 102, 'GB', 38, 'Enter your Oracle password' );
INSERT INTO MENU_MESSAGE VALUES ( 103, 'GB', 38, 'FUNCTION' );
INSERT INTO MENU_MESSAGE VALUES ( 104, 'GB', 38, 'APPLICATION MENU' );
INSERT INTO MENU_MESSAGE VALUES ( 105, 'GB', 78, 'SELECT AN APPLICATION FROM THE LIST BELOW' );
INSERT INTO MENU_MESSAGE VALUES ( 106, 'GB', 78, 'Forward reference to main menu is illegal !' );
INSERT INTO MENU_MESSAGE VALUES ( 107, 'GB', 78, 'Illegal function in this context !' );
INSERT INTO MENU_MESSAGE VALUES ( 108, 'GB', 78, 'No parameters needed !' );
INSERT INTO MENU_MESSAGE VALUES ( 109, 'GB', 78, 'Menus are nested too deep !' );
INSERT INTO MENU_MESSAGE VALUES ( 110, 'GB', 40, 'Type any key to continue.....' );
INSERT INTO MENU_MESSAGE VALUES ( 111, 'GB', 78, 'Illegal function !' );
INSERT INTO MENU_MESSAGE VALUES ( 112, 'GB', 78, 'There are more menu options than fit on the screen !' );
INSERT INTO MENU_MESSAGE VALUES ( 113, 'GB', 78, 'You are pointing to the last option !' );
INSERT INTO MENU_MESSAGE VALUES ( 114, 'GB', 78, 'You are pointing to the first option !' );
INSERT INTO MENU_MESSAGE VALUES ( 115, 'GB', 78, 'Debug mode enabled !' );
INSERT INTO MENU_MESSAGE VALUES ( 116, 'GB', 78, 'Debug mode disabled !' );
INSERT INTO MENU_MESSAGE VALUES ( 117, 'GB', 78, 'Selected option is not in this menu !' );
INSERT INTO MENU_MESSAGE VALUES ( 118, 'GB', 78, 'No command defined for the selected background option !' );
INSERT INTO MENU_MESSAGE VALUES ( 119, 'GB', 60, 'Menu %s not found' );
INSERT INTO MENU_MESSAGE VALUES ( 120, 'GB', 78, 'Dynamic memory exhausted !' );
INSERT INTO MENU_MESSAGE VALUES ( 122, 'GB', 40, 'Make your choice:' );
INSERT INTO MENU_MESSAGE VALUES ( 123, 'GB', 60, 'Dynamic memory reclaim error !' );
INSERT INTO MENU_MESSAGE VALUES ( 127, 'GB', 40, 'Enter username:' );
INSERT INTO MENU_MESSAGE VALUES ( 128, 'GB', 78, 'No background menu present !' );
INSERT INTO MENU_MESSAGE VALUES ( 129, 'GB', 40, 'Enter command(s):' );
INSERT INTO MENU_MESSAGE VALUES ( 130, 'GB', 32, 'PARAMETERS FOR APPLICATION' );
INSERT INTO MENU_MESSAGE VALUES ( 131, 'GB', 60, 'not found in application list menu.' );
INSERT INTO MENU_MESSAGE VALUES ( 132, 'GB', 38, 'MENU PARAMETER FORM' );
INSERT INTO MENU_MESSAGE VALUES ( 133, 'GB', 78, 'Already on last field !' );
INSERT INTO MENU_MESSAGE VALUES ( 134, 'GB', 78, 'Already on first field !' );
INSERT INTO MENU_MESSAGE VALUES ( 135, 'GB', 78, 'No ''next menu'' from background in this context !' );
INSERT INTO MENU_MESSAGE VALUES ( 137, 'GB', 78, 'Field full !' );
INSERT INTO MENU_MESSAGE VALUES ( 138, 'GB',  5, 'page' );
INSERT INTO MENU_MESSAGE VALUES ( 139, 'GB', 78, 'Response required !' );
INSERT INTO MENU_MESSAGE VALUES ( 140, 'GB', 78, 'Field must be filled completely !' );
INSERT INTO MENU_MESSAGE VALUES ( 141, 'GB', 78, 'Command size exceeds allowed limit !' );
INSERT INTO MENU_MESSAGE VALUES ( 142, 'GB', 30, 'Unknown Oracle error' );
INSERT INTO MENU_MESSAGE VALUES ( 143, 'GB', 30, 'Oracle error on cursor' );
INSERT INTO MENU_MESSAGE VALUES ( 144, 'GB', 38, 'AUTHORIZATION FORM' );
INSERT INTO MENU_MESSAGE VALUES ( 145, 'GB', 78, 'Checking your access rights.....' );
INSERT INTO MENU_MESSAGE VALUES ( 146, 'GB', 78, 'Logon failed for this username and password !' );
INSERT INTO MENU_MESSAGE VALUES ( 147, 'GB', 78, 'Logon procedure terminated !' );
INSERT INTO MENU_MESSAGE VALUES ( 148, 'GB', 78, 'Too many applications !' );
INSERT INTO MENU_MESSAGE VALUES ( 149, 'GB', 78, 'No authorization to run any application !' );
INSERT INTO MENU_MESSAGE VALUES ( 150, 'GB', 78, 'Too many menu parameters !' );
INSERT INTO MENU_MESSAGE VALUES ( 151, 'GB', 78, 'No help available !' );
INSERT INTO MENU_MESSAGE VALUES ( 152, 'GB', 40, 'Enter password:' );
INSERT INTO MENU_MESSAGE VALUES ( 156, 'GB', 78, 'Failed to spawn a command to the operating system !' );
INSERT INTO MENU_MESSAGE VALUES ( 159, 'GB', 78, 'Select one of the menu-options or press a function-key' );
INSERT INTO MENU_MESSAGE VALUES ( 160, 'GB', 78, 'No authorization for any option in selected menu !' );
INSERT INTO MENU_MESSAGE VALUES ( 161, 'GB', 78, 'Type "Previous-menu" key to return, or any other key for more help..' );
INSERT INTO MENU_MESSAGE VALUES ( 162, 'GB', 78, 'End of help info, type any key to return to menu...' );
INSERT INTO MENU_MESSAGE VALUES ( 163, 'GB', 20, 'Invalid application' );
INSERT INTO MENU_MESSAGE VALUES ( 165, 'GB', 30, 'Invalid language specified' );
INSERT INTO MENU_MESSAGE VALUES ( 166, 'GB', 20, 'Error for Menu' );
INSERT INTO MENU_MESSAGE VALUES ( 167, 'GB', 30, 'Could not close menu library' );
INSERT INTO MENU_MESSAGE VALUES ( 168, 'GB', 30, 'Bad option number' );
INSERT INTO MENU_MESSAGE VALUES ( 169, 'GB', 78, 'Application parameter module does not exist' );
INSERT INTO MENU_MESSAGE VALUES ( 170, 'GB', 78, 'Unable to read parameter data' );
INSERT INTO MENU_MESSAGE VALUES ( 171, 'GB', 12, 'Parameter' );
INSERT INTO MENU_MESSAGE VALUES ( 172, 'GB', 78, 'No detailed help available for this option' );
INSERT INTO MENU_MESSAGE VALUES ( 173, 'GB', 40, 'Direct selection not allowed here' );
INSERT INTO MENU_MESSAGE VALUES ( 174, 'GB', 40, 'Menu nested too deep');
INSERT INTO MENU_MESSAGE VALUES ( 175, 'GB', 38, 'OPTION PARAMETER FORM' );
INSERT INTO MENU_MESSAGE VALUES ( 195, 'GB', 28, 'DMU-%d : library %s too old.' ) ;
INSERT INTO MENU_MESSAGE VALUES ( 196, 'GB', 24, 'Error reading help text.' ) ;
INSERT INTO MENU_MESSAGE VALUES ( 197, 'GB',  4, 'Exit' );
INSERT INTO MENU_MESSAGE VALUES ( 198, 'GB', 31, 'DMU-%d : Library %s not closed.' );
INSERT INTO MENU_MESSAGE VALUES ( 199, 'GB', 66, 'Can''t run menu in suppress screen output mode without file input.' ) ;
INSERT INTO MENU_MESSAGE VALUES ( 200, 'GB', 30, 'Error opening key script file.' );
INSERT INTO MENU_MESSAGE VALUES ( 201, 'GB', 33, 'Error opening display spool file.' );
INSERT INTO MENU_MESSAGE VALUES ( 202, 'GB', 29, 'Can''t read form by that name' );
INSERT INTO MENU_MESSAGE VALUES ( 203, 'GB', 42, 'Switches -e and -r are mutually exclusive.' );
INSERT INTO MENU_MESSAGE VALUES ( 204, 'GB',  7, 'Replace' );
INSERT INTO MENU_MESSAGE VALUES ( 205, 'GB',  7, 'Insert ' );
INSERT INTO MENU_MESSAGE VALUES ( 321, 'GB', 12, 'Keystroke(s)' );
INSERT INTO MENU_MESSAGE VALUES ( 330, 'GB', 22, 'Application' );
INSERT INTO MENU_MESSAGE VALUES ( 331, 'GB', 22, 'Creation date' );
INSERT INTO MENU_MESSAGE VALUES ( 332, 'GB', 22, 'Creator' );
INSERT INTO MENU_MESSAGE VALUES ( 333, 'GB', 22, 'Last release date' );
INSERT INTO MENU_MESSAGE VALUES ( 334, 'GB', 22, 'Menu directory' );
INSERT INTO MENU_MESSAGE VALUES ( 335, 'GB', 22, 'Version' );

INSERT INTO MENU_MESSAGE VALUES ( 336, 'GB', 38, 'Semicolon missing in macro statement !' );
INSERT INTO MENU_MESSAGE VALUES ( 337, 'GB', 20, 'Macro %s not found !' ) ;
INSERT INTO MENU_MESSAGE VALUES ( 338, 'GB', 20, 'No macro specified !' );

INSERT INTO MENU_MESSAGE VALUES ( 339, 'GB', 44, 'Argument(s) are not allowed for this macro !' );
INSERT INTO MENU_MESSAGE VALUES ( 340, 'GB', 40, 'Invalid argument(s) specified for macro' );
INSERT INTO MENU_MESSAGE VALUES ( 341, 'GB', 25, 'Form name not specified !' );

COMMIT ;

REM
REM INSERT DMD MESSAGES
REM
INSERT INTO MENU_MESSAGE VALUES ( 401, 'GB', 40, 'Can''t open for output:' );
INSERT INTO MENU_MESSAGE VALUES ( 402, 'GB', 40, 'Can''t open temporary file.' );
INSERT INTO MENU_MESSAGE VALUES ( 405, 'GB', 10, 'Menu name' );
INSERT INTO MENU_MESSAGE VALUES ( 406, 'GB', 10, 'Menu title' );
INSERT INTO MENU_MESSAGE VALUES ( 407, 'GB', 10, 'Sub title' );
INSERT INTO MENU_MESSAGE VALUES ( 408, 'GB', 20, 'Bottom title' );
INSERT INTO MENU_MESSAGE VALUES ( 409, 'GB', 20, 'Option number' );
INSERT INTO MENU_MESSAGE VALUES ( 410, 'GB', 20, 'Work class range' );
INSERT INTO MENU_MESSAGE VALUES ( 411, 'GB', 20, 'Command type' );
INSERT INTO MENU_MESSAGE VALUES ( 412, 'GB', 20, 'Command line' );
INSERT INTO MENU_MESSAGE VALUES ( 413, 'GB', 20, 'Option text' );
INSERT INTO MENU_MESSAGE VALUES ( 414, 'GB', 40, 'Full Menu Application Information' );
INSERT INTO MENU_MESSAGE VALUES ( 417, 'GB', 10, 'Work Class' );
INSERT INTO MENU_MESSAGE VALUES ( 418, 'GB', 10, 'Username' );
INSERT INTO MENU_MESSAGE VALUES ( 420, 'GB', 20, 'No help available' );
INSERT INTO MENU_MESSAGE VALUES ( 421, 'GB', 10, 'Help text' );
INSERT INTO MENU_MESSAGE VALUES ( 422, 'GB', 30, 'No such application present' );

INSERT INTO MENU_MESSAGE VALUES ( 437, 'GB', 50, 'No user information present for this work class' );
INSERT INTO MENU_MESSAGE VALUES ( 438, 'GB', 50, 'No work class present' );
INSERT INTO MENU_MESSAGE VALUES ( 439, 'GB', 50, 'No options present for this menu' );
INSERT INTO MENU_MESSAGE VALUES ( 440, 'GB', 50, 'No parameter information present' );
INSERT INTO MENU_MESSAGE VALUES ( 441, 'GB', 50, 'Specified command description does not exist' );
INSERT INTO MENU_MESSAGE VALUES ( 442, 'GB', 50, 'No menu present for this application' );
INSERT INTO MENU_MESSAGE VALUES ( 443, 'GB', 50, 'No command descriptions present' );
INSERT INTO MENU_MESSAGE VALUES ( 444, 'GB', 30, 'Parameters' );
INSERT INTO MENU_MESSAGE VALUES ( 445, 'GB', 40, 'Could not make a directory listing' );
INSERT INTO MENU_MESSAGE VALUES ( 447, 'GB', 50, 'Cannot close file' );
INSERT INTO MENU_MESSAGE VALUES ( 450, 'GB', 20, 'BG Menu' );
INSERT INTO MENU_MESSAGE VALUES ( 451, 'GB', 20, 'OS Command' );
INSERT INTO MENU_MESSAGE VALUES ( 452, 'GB', 10, 'Debug' );
INSERT INTO MENU_MESSAGE VALUES ( 453, 'GB', 10, 'Echo:' );
INSERT INTO MENU_MESSAGE VALUES ( 454, 'GB', 10, 'Must fill:' );
INSERT INTO MENU_MESSAGE VALUES ( 455, 'GB', 10, 'Response:' );
INSERT INTO MENU_MESSAGE VALUES ( 456, 'GB', 10, 'Uppercase:' );
INSERT INTO MENU_MESSAGE VALUES ( 457, 'GB', 10, 'Prompt:' );
INSERT INTO MENU_MESSAGE VALUES ( 458, 'GB', 12, 'Attributes:' );
INSERT INTO MENU_MESSAGE VALUES ( 459, 'GB', 10, 'Help text:' );
INSERT INTO MENU_MESSAGE VALUES ( 460, 'GB', 10, 'Parameter:' );
INSERT INTO MENU_MESSAGE VALUES ( 461, 'GB', 40, 'Summary Menu Application Information' );
INSERT INTO MENU_MESSAGE VALUES ( 462, 'GB', 10, 'Page A-' );
INSERT INTO MENU_MESSAGE VALUES ( 464, 'GB', 40, 'A.1     Application Information' );
INSERT INTO MENU_MESSAGE VALUES ( 465, 'GB', 40, 'Appendix A' );
INSERT INTO MENU_MESSAGE VALUES ( 466, 'GB', 40, '- Generating documentation' );
INSERT INTO MENU_MESSAGE VALUES ( 470, 'GB', 40, 'Wrong descriptor area selected' );
INSERT INTO MENU_MESSAGE VALUES ( 471, 'GB', 60, 'Unable to allocate dynamic memory for descriptor area' );
INSERT INTO MENU_MESSAGE VALUES ( 472, 'GB', 40, 'String not completly inserted' );
INSERT INTO MENU_MESSAGE VALUES ( 473, 'GB', 50, 'Non supported Oracle datatype selected' );
INSERT INTO MENU_MESSAGE VALUES ( 474, 'GB', 20, 'A.2     Menu overview.' );
INSERT INTO MENU_MESSAGE VALUES ( 475, 'GB', 20, 'Menu not found.' );
INSERT INTO MENU_MESSAGE VALUES ( 476, 'GB', 20, 'Menu declared twice.' );
INSERT INTO MENU_MESSAGE VALUES ( 477, 'GB', 60, 'Menu already mentioned before' );

COMMIT ;

REM
REM INSERT DMM MESSAGES
REM
INSERT INTO MENU_MESSAGE VALUES ( 550, 'GB', 50, 'Unable to allocate dynamic memory for header' );
INSERT INTO MENU_MESSAGE VALUES ( 560, 'GB', 30, 'No modules occupied' );
INSERT INTO MENU_MESSAGE VALUES ( 570, 'GB', 60, 'Could not position to current module in library' );
INSERT INTO MENU_MESSAGE VALUES ( 575, 'GB', 50, 'Could not read the current module from library' );
INSERT INTO MENU_MESSAGE VALUES ( 580, 'GB', 50, 'Module not found' );
INSERT INTO MENU_MESSAGE VALUES ( 600, 'GB', 50, 'Could not position to start of library header block' );
INSERT INTO MENU_MESSAGE VALUES ( 610, 'GB', 50, 'Could not rewrite library header block' );
INSERT INTO MENU_MESSAGE VALUES ( 620, 'GB', 50, 'Could not close the library (dmm)' );
INSERT INTO MENU_MESSAGE VALUES ( 630, 'GB', 60, 'Unable to release dynamic memory' );
INSERT INTO MENU_MESSAGE VALUES ( 650, 'GB', 40, 'Illegal fuction' );
INSERT INTO MENU_MESSAGE VALUES ( 660, 'GB', 40, 'Incorrect version of DMM library' );
INSERT INTO MENU_MESSAGE VALUES ( 710, 'GB', 60, 'Could not position to module length specifier' );
INSERT INTO MENU_MESSAGE VALUES ( 711, 'GB', 60, 'Could not position to module text' );
INSERT INTO MENU_MESSAGE VALUES ( 720, 'GB', 60, 'Could not read the module length specifier' );
INSERT INTO MENU_MESSAGE VALUES ( 721, 'GB', 60, 'Could not read the module text' );
INSERT INTO MENU_MESSAGE VALUES ( 740, 'GB', 70, 'Illegal function status' );
INSERT INTO MENU_MESSAGE VALUES ( 760, 'GB', 60, 'No free module header' );
INSERT INTO MENU_MESSAGE VALUES ( 765, 'GB', 60, 'Module name already exists' );
INSERT INTO MENU_MESSAGE VALUES ( 770, 'GB', 60, 'Could not position to current module' );
INSERT INTO MENU_MESSAGE VALUES ( 771, 'GB', 60, 'Could not position to current module header' );
INSERT INTO MENU_MESSAGE VALUES ( 773, 'GB', 60, 'Unable to position for new module' );
INSERT INTO MENU_MESSAGE VALUES ( 790, 'GB', 50, 'Could not write module header' );
INSERT INTO MENU_MESSAGE VALUES ( 800, 'GB', 50, 'Specified module not empty' );
INSERT INTO MENU_MESSAGE VALUES ( 810, 'GB', 50, 'Unable to close library' );
INSERT INTO MENU_MESSAGE VALUES ( 820, 'GB', 50, 'Unable to open library' );
INSERT INTO MENU_MESSAGE VALUES ( 830, 'GB', 50, 'Library does not exist' );
INSERT INTO MENU_MESSAGE VALUES ( 840, 'GB', 60, 'Could not write length specifier of module' );
INSERT INTO MENU_MESSAGE VALUES ( 910, 'GB', 50, 'Could not read module header' );
INSERT INTO MENU_MESSAGE VALUES ( 980, 'GB', 60, 'Could not read library header block' );
INSERT INTO MENU_MESSAGE VALUES (1110, 'GB', 60, 'Could not rewrite current module' );
INSERT INTO MENU_MESSAGE VALUES (1150, 'GB', 60, 'Unable to open list file' );
INSERT INTO MENU_MESSAGE VALUES (1200, 'GB', 60, 'Could not position to specified module label ' );
INSERT INTO MENU_MESSAGE VALUES (1210, 'GB', 60, 'Could not read current module label' );
COMMIT ;

REM                          
REM  INSERT STATEMENTS GENERATED FOR TABLE MENU_COMMAND_TYPE
REM
DELETE MENU_COMMAND_TYPE ;
INSERT INTO MENU_COMMAND_TYPE VALUES (1, 'Menu Selection');
INSERT INTO MENU_COMMAND_TYPE VALUES (2, 'OS Command');
INSERT INTO MENU_COMMAND_TYPE VALUES (3, 'OS command + Wait');
INSERT INTO MENU_COMMAND_TYPE VALUES (4, 'Runforms (IAP)');
INSERT INTO MENU_COMMAND_TYPE VALUES (5, 'SQL*Plus');
INSERT INTO MENU_COMMAND_TYPE VALUES (6, 'Macro command');


REM
REM GRANT CURRENT USER ACCES TO SQL*Menu
REM
DELETE MENU_USER WHERE USER_NAME = USER AND APPLICATION_NAME = 'DMU' ;
INSERT INTO MENU_USER VALUES (USER, 'DMU', 15, 'Y', 'Y', 'Y');

REM
REM INSERT WORK CLASSES FOR THE DMU APPLICATION
REM
DELETE MENU_WORK_CLASS WHERE APPLICATION_NAME = 'DMU' ;
INSERT INTO MENU_WORK_CLASS VALUES (5,  'DMU','Simple SQL*Menu User', NULL, NULL, NULL);
INSERT INTO MENU_WORK_CLASS VALUES (10, 'DMU','Advanced SQL*Menu User', NULL, NULL, NULL);
INSERT INTO MENU_WORK_CLASS VALUES (15, 'DMU','SQL*Menu Database Administrator', NULL, NULL, NULL);
COMMIT ;

SPOOL OFF
EXIT;
