rem 
rem $Header: menudemo.sql,v 4011400.5 90/04/25 14:07:42 atam Exp $ menudemo.sql Copyr (c) 1987 Oracle
rem 
rem SQLMENU640114,DD$:[FREEZE_SQLMENU.SQL.40114]
Rem Copyright (c) 1988 by Oracle Corporation
Rem NAME
Rem    <name>
Rem  FUNCTION
Rem  NOTES
Rem  MODIFIED
Rem   Kornet     01/12/89 - Move usr/psw to top
Rem   Vijayar    05/12/88 - COMPLETE_SNAPSHOT_FOR_FREEZE
Rem
rem  Klein Created 21-Jul-86
rem
rem
SET termout off
set echo off
set scan off
spool ?/menu/demo/menudemo.log

Rem
Rem Export of application PERS (generated on Wed Jul 22 18:49:27 1987)
Rem

Rem
Rem export of table MENU_APPLICATION ( Application PERS)
Rem
Delete MENU_APPLICATION where application_name = 'PERS' ;

Insert into MENU_APPLICATION
(
APPLICATION_NAME, 
CREATION_DATE, 
CREATOR, 
VERSION_RELEASE_NR, 
LAST_RELEASE_DATE, 
MENU_DIRECTORY, 
IDENTIFICATION
) 
 values ( 
'PERS', 
'04-JUN-86', 
'SYSTEM', 
'                                     1.1', 
'', 
'', 
'PERSONNEL APPLICATION' ) ; 

Commit;

Rem
Rem export of table MENU_INFO ( Application PERS)
Rem
Delete MENU_INFO where application_name = 'PERS' ;

Insert into MENU_INFO
(
MENU_NAME, 
APPLICATION_NAME, 
TITLE, 
SUB_TITLE, 
BOTTOM_TITLE, 
DESCRIP_1, 
DESCRIP_2, 
DESCRIP_3, 
DESCRIP_4
) 
 values ( 
'BGM', 
'PERS', 
'BACKGROUND MENU', 
'For the Personnel Application', 
'', 
'To allow the users certain options that are', 
'always available, but not normally displayed.', 
'', 
'' ) ; 
Insert into MENU_INFO
(
MENU_NAME, 
APPLICATION_NAME, 
TITLE, 
SUB_TITLE, 
BOTTOM_TITLE, 
DESCRIP_1, 
DESCRIP_2, 
DESCRIP_3, 
DESCRIP_4
) 
 values ( 
'PERS', 
'PERS', 
'THE PERSONNEL APPLICATION', 
'MAIN MENU', 
'COMPANY CONFIDENTIAL', 
'To maintain and report personnel information.', 
'', 
'', 
'' ) ; 
Insert into MENU_INFO
(
MENU_NAME, 
APPLICATION_NAME, 
TITLE, 
SUB_TITLE, 
BOTTOM_TITLE, 
DESCRIP_1, 
DESCRIP_2, 
DESCRIP_3, 
DESCRIP_4
) 
 values ( 
'REPORT', 
'PERS', 
'GENERATE PERSONNEL REPORTS', 
'--------------------------', 
'Company Confidential', 
'To produce reports about such topics as salaries,', 
'employee locations, and so on.', 
'', 
'' ) ; 
Insert into MENU_INFO
(
MENU_NAME, 
APPLICATION_NAME, 
TITLE, 
SUB_TITLE, 
BOTTOM_TITLE, 
DESCRIP_1, 
DESCRIP_2, 
DESCRIP_3, 
DESCRIP_4
) 
 values ( 
'UPDATE', 
'PERS', 
'UPDATE PERSONNEL INFORMATION', 
'----------------------------', 
'Personnel Department Confidential', 
'To maintain employee and department information.', 
'', 
'', 
'' ) ; 

Commit;

Rem
Rem export of table MENU_OPTION ( Application PERS)
Rem
Delete MENU_OPTION where application_name = 'PERS' ;

Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'BGM', 
'PERS', 
'                                       1', 
'List the menu names and corresponding titles', 
'                                       5', 
'SQLPLUS -s &UN/&PW @?/menu/demo/listmenu &AN', 
'                                      10', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'PERS', 
'PERS', 
'                                       1', 
'Update personnel information', 
'                                       1', 
'UPDATE', 
'                                      20', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'PERS', 
'PERS', 
'                                       2', 
'Generate personnel reports', 
'                                       1', 
'REPORT', 
'                                      10', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'REPORT', 
'PERS', 
'                                       1', 
'Generate salary by job report', 
'                                       5', 
'SQLPLUS -s &UN/&PW @?/menu/demo/salbyjob', 
'                                      10', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'REPORT', 
'PERS', 
'                                       2', 
'Generate employee list by location report', 
'                                       5', 
'SQLPLUS -s &UN/&PW @?/menu/demo/empbyloc', 
'                                      10', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'REPORT', 
'PERS', 
'                                       3', 
'Generate salary by employee report', 
'                                       5', 
'SQLPLUS -s &UN/&PW @?/menu/demo/salbyemp', 
'                                      15', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'UPDATE', 
'PERS', 
'                                       1', 
'Update employee information', 
'                                       4', 
'IAP ?/menu/demo/empmaint &UN/&PW -C &TT', 
'                                      20', 
'                                      25' ) ; 
Insert into MENU_OPTION
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
OPTION_TEXT, 
COMMAND_TYPE, 
COMMAND_LINE, 
LOW_CLASS, 
HIGH_CLASS
) 
 values ( 
'UPDATE', 
'PERS', 
'                                       2', 
'Update department information', 
'                                       4', 
'IAP ?/menu/demo/deptmaint &UN/&PW -C &TT', 
'                                      20', 
'                                      25' ) ; 

Commit;

Rem
Rem export of table MENU_HELP ( Application PERS)
Rem
Delete MENU_HELP where application_name = 'PERS' ;

Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'BGM', 
'PERS', 
'                                       1', 
'                                       2', 
'Select this option to review the names of all the menus' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'BGM', 
'PERS', 
'                                       1', 
'                                       4', 
'in this application.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'PERS', 
'PERS', 
'                                       1', 
'                                       2', 
'Select this option to update employee and department' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'PERS', 
'PERS', 
'                                       1', 
'                                       4', 
'information.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'PERS', 
'PERS', 
'                                       2', 
'                                       2', 
'Select this option to produce reports to which you have' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'PERS', 
'PERS', 
'                                       2', 
'                                       4', 
'access.  For other reports, see your manager' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'REPORT', 
'PERS', 
'                                       1', 
'                                       2', 
'Select this option to print salary statistics about each' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'REPORT', 
'PERS', 
'                                       1', 
'                                       4', 
'job function.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'REPORT', 
'PERS', 
'                                       2', 
'                                       2', 
'Select this option to print a list of employees by' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'REPORT', 
'PERS', 
'                                       2', 
'                                       4', 
'location.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'REPORT', 
'PERS', 
'                                       3', 
'                                       2', 
'Select this option to print salary (and other information)' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'REPORT', 
'PERS', 
'                                       3', 
'                                       4', 
'by employee.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'UPDATE', 
'PERS', 
'                                       1', 
'                                       2', 
'Select this option to insert a new employee, update' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'UPDATE', 
'PERS', 
'                                       1', 
'                                       4', 
'information (such as salary, manager, hire date and so on)' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'UPDATE', 
'PERS', 
'                                       1', 
'                                       6', 
'about an existing employee, delete an existing employee, or' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'UPDATE', 
'PERS', 
'                                       1', 
'                                       8', 
'query the current list of employees.' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'UPDATE', 
'PERS', 
'                                       2', 
'                                       2', 
'Select this option to insert a new department, update' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'UPDATE', 
'PERS', 
'                                       2', 
'                                       4', 
'information (such as department name, location, and so' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'UPDATE', 
'PERS', 
'                                       2', 
'                                       6', 
'on) about an existing department, delete an existing' ) ; 
Insert into MENU_HELP
(
MENU_NAME, 
APPLICATION_NAME, 
OPTION_NUMBER, 
HELP_SEQ_NR, 
HELP_TEXT
) 
 values ( 
'UPDATE', 
'PERS', 
'                                       2', 
'                                       8', 
'department, or query the current list of departments.' ) ; 

Commit;

Rem
Rem export of table MENU_PARAM ( Application PERS)
Rem
Delete MENU_PARAM where application_name = 'PERS' ;

Insert into MENU_PARAM
(
SUBSTITUTION_STRING, 
APPLICATION_NAME, 
PAR_SIZE, 
PAR_DEF, 
ECHO, 
MUST_FILL, 
RESPONSE_REQUIRED, 
UPPER_CASE, 
HELP_TEXT, 
PROMPT
) 
 values ( 
'AN', 
'PERS', 
'                                       6', 
'', 
'Y', 
'N', 
'Y', 
'Y', 
'Enter the name of the application.', 
'Application name' ) ; 

Commit;

Rem
Rem export of table MENU_PARAM_XREF ( Application PERS)
Rem
Delete MENU_PARAM_XREF where application_name = 'PERS' ;

Commit;


Rem
Rem export of table MENU_USER ( Application PERS)
Rem
Delete MENU_USER where APPLICATION_NAME = 'PERS';
Insert into MENU_USER values ('WARD','PERS',10,'N','N','Y');
Insert into MENU_USER values ('KING','PERS',15,'N','Y','Y');
Insert into MENU_USER values ('SMITH','PERS',20,'N','Y','Y');
Insert into MENU_USER values ('SYSTEM','PERS',25,'Y','Y','Y');
Insert into MENU_USER values ('TURNER','PERS',10,'N','N','Y');
Insert into MENU_USER values ('SCOTT','PERS',25,'Y','Y','Y');
Delete MENU_USER where user_name = 'SCOTT' and application_name = 'DMU' ;
Insert into MENU_USER values ('SCOTT','DMU', 10, 'Y', 'Y', 'Y');
Commit;

Rem
Rem export of table MENU_WORK_CLASS ( Application PERS)
Rem
Delete MENU_WORK_CLASS      where APPLICATION_NAME = 'PERS';
Insert into MENU_WORK_CLASS values (10,'PERS','NON-PERSONNEL USER','','','');
Insert into MENU_WORK_CLASS values (20,'PERS','PERSONNEL ADMINISTRATOR','','','');
Insert into MENU_WORK_CLASS values (25,'PERS','PROGRAMMER','','','');
Insert into MENU_WORK_CLASS values (15,'PERS','NON-PERSONNEL MANAGER','','','');
Commit;

Exit
